apiVersion: apps/v1
kind: Deployment
metadata:
  name: weather-service
spec:
  replicas: 1
  selector:
    matchLabels:
      run: weather
  template:
    metadata:
      labels:
        run: weather
    spec:
      containers:
        - name: weather-service
          image: registry.gitlab.com/lazybasterds/alpaca/weather-service:0.1.1
          imagePullPolicy: Always
          command: [
            "./weather-service",
            "--selector=static",
            "--server_address=:50057",
          ]
          env:
          - name: DB_HOST
            valueFrom:
              configMapKeyRef:
                name: alpaca-config
                key: DB_HOST
          ports:
          - containerPort: 50057
            name: building-port
      imagePullSecrets:
        - name: "regcred"